FROM python:3.14-alpine
ENV PYTHONUNBUFFERED=1
WORKDIR /code/
COPY requirements.txt .
RUN pip install --upgrade pip && \
    pip install --no-cache-dir --requirement requirements.txt
COPY . .
ENTRYPOINT ["./entrypoint.sh"]
